	.386
	.model use32 small
	public _strcpy
	.code
_strcpy:
	push	ebp
	mov	ebp,esp
	push	esi
	push	edi
	mov	esi,[12+ebp]
	mov	edi,esi
	sub	al,al
	mov	ecx,-1
	cld
	repne	scasb
	not	ecx
	mov	edi,[8+ebp]
	mov	eax,edi
	rep	movsb
	pop	edi
	pop	esi
	pop	ebp
	ret
	end